# Default values for sylva-capi-cluster rke2-capo Sylva cluster.
# This is a YAML-formatted file.
# Declare variables to be passed into your templates.

name: my-capo-cluster

capi_providers:
  infra_provider: capo
  bootstrap_provider: cabpr

capo:
  image_name: ubuntu-jammy-plain-rke2-1-26-9
  ssh_key_name: my-ssh-key
  network_id: 8c174480-57ec-4162-81fe-5487db9002f7
  clouds_yaml:
    clouds:
      capo_cloud:
        auth:
          auth_url: https://1.2.3.4:13002/v3
          user_domain_name: Default
          project_domain_name: default
          project_name: Foo
          username: MyUserName
          password: _password_
        region_name: RegionOne
        verify: false
  resources_tag: my-tag

control_plane:
  capo:
    security_group_names:
    - capo-cluster-security-group-ctrl-plane
    - common_security_group_name
    server_group_id: 2af435f0-e4a4-4584-af7f-1034ae87b008

# kubernetes version to be used
k8s_version: v1.26.9+rke2r1 # add "+rke2r1" for cabpr (RKE2) clusters

# Nodes number for controlplane and workers
control_plane_replicas: 1

cluster_virtual_ip: 172.27.0.100 # use the .100 (or any other that wouldn't be assigned by Docker) IP from the local kind subnet, returned by: docker network inspect -f '{{json .}}' kind | jq -r .IPAM.Config[0].Subnet
cluster_public_ip: 137.23.10.10 # emulate the usage of a floating ip

cni:
  calico:
    autodetection_method:
      canReach: 8.8.8.8

machine_deployment_default:
  capo:
    security_group_names:
    - capo-cluster-security-group-workers
    - common_security_group_name
    server_group_id: 7fb8d72f-f25c-4ada-ab49-9a4fba4b6d91

machine_deployments:
  md0:
    replicas: 1
    machine_deployment_spec:
      strategy:
        rollingUpdate:
          maxUnavailable: 2
          maxSurge: 1
    metadata:
      labels:
        foo: bar
    network_interfaces:
      secondary:
        network:
          id: 8c174480-57ec-4162-81fe-5487db9002f7
        vnicType: normal
        disablePortSecurity: true

metallb:
  l2_lbs:
    address_pools:
      - name: my-custom-pool
        addresses:
          - 10.122.22.151/32
          - 10.10.10.10-10.10.10.12
    l2_options:
      advertisements:
        - name: my-custom-advertisement
          node_selectors:
            - kubernetes.io/hostname: hostB
          interface: eth1
          advertised_pools:
            - my-custom-pool
  bgp_lbs:
    l3_options:
      bgp_peers:
        - name: test-peer-1
          local_asn: 64512
          peer_asn: 64512
          peer_address: 192.168.1.1
          advertised_pools:
            - my-custom-pool-1
        - name: test-peer-2
          local_asn: 64512
          peer_asn: 64511
          peer_address: 192.168.2.1
          advertised_pools:
            - my-custom-pool-1
            - my-custom-pool-2
    address_pools:
      - name: my-custom-pool-1
        addresses:
          - 192.168.1.224/27
          - 172.18.1.248-172.18.1.250
      - name: my-custom-pool-2
        addresses:
          - 192.168.155.150/32
          - 192.168.155.151/32
